/* *** NEWS BOX -  WP DYNAMIC CUSTOM THEME *** */
<?php 
include_once(NB_DIR . '/functions.php');
$imb_base = NB_URL . '/js/sb/';

$img_border = get_option('nb_img_margin', 0);
$box_margin = get_option('nb_box_margin', 6);
?>

/* (1) main structure */
.lcnb_wpdt_theme .lcnb_loading_img:before,
.lcnb_wpdt_theme.lcnb_loading:before {
	background-color: <?php echo get_option('nb_loader_color', '#999') ?>;		
}
.lcnb_wpdt_theme article.lcnb_news,
.lcnb_wpdt_theme .lcnb_exp_block,
.lcnb_wpdt_theme.lcnb_exp_in_lb .mfp-content {
	background: <?php echo get_option('nb_bg_color', '#fff') ?>;
}
.lcnb_wpdt_theme.lcnb_wrap.lcnb_uniblock .lcnb_inner_wrapper {
	border-radius: <?php echo (int)get_option('nb_border_radius', 2) ?>px;	
}
.lcnb_wpdt_theme.lcnb_wrap.lcnb_uniblock .lcnb_news,
.lcnb_wpdt_theme.lcnb_wrap.lcnb_uniblock .lcnb_exp_block { 
	border: <?php echo (int)get_option('nb_border_w', 3) ?>px solid <?php echo get_option('nb_border_color', '#ccc') ?>;
}
.lcnb_wpdt_theme.lcnb_wrap.lcnb_uniblock .lcnb_news:hover { 
	border-color: <?php echo get_option('nb_border_color_h', '#a3a3a3') ?>;
    box-shadow: <?php echo (get_option('nb_use_shadows')) ? '0px 0px 4px rgba(25, 25, 25, 0.4)' : 'none' ?>;
}


<?php /* IMPORANT - USE .lcnb_news BORDER VALUE */ ?>
.lcnb_wpdt_theme.lcnb_vertical.lcnb_wrap.lcnb_uniblock .lcnb_news:not(:first-child) { 
	margin-top: -<?php echo (int)get_option('nb_border_w', 3) ?>px;
}
.lcnb_wpdt_theme.lcnb_horizontal.lcnb_wrap.lcnb_uniblock .lcnb_news:not(:first-child) { 
	margin-left: -<?php echo (int)get_option('nb_border_w', 3) ?>px;
}
/* **** */


.lcnb_wpdt_theme.lcnb_wrap.lcnb_boxed article.lcnb_news,
.lcnb_wpdt_theme.lcnb_boxed .lcnb_exp_block {
	border: <?php echo (int)get_option('nb_border_w', 3) ?>px solid <?php echo get_option('nb_border_color', '#ccc') ?>;
	border-radius: <?php echo (int)get_option('nb_border_radius', 2) ?>px;
}
.lcnb_wpdt_theme.lcnb_wrap.lcnb_boxed article.lcnb_news:hover {
	border-color: <?php echo get_option('nb_border_color_h', '#a3a3a3') ?>;
	box-shadow: <?php echo (get_option('nb_use_shadows')) ? '0 0 3px rgba(0,0,0, 0.15)' : 'none' ?>;
}

.lcnb_wpdt_theme .lcnb_title {
	color: <?php echo get_option('nb_title_color', '#555') ?> !important;	
	border-bottom: 1px solid <?php echo get_option('nb_sep_color', '#cfcfcf') ?>;
	font-weight: 700;
}
.lcnb_wpdt_theme .lcnb_txt,
.lcnb_wpdt_theme .lcnb_exp_txt {
	color: <?php echo get_option('nb_txt_color', '#444') ?>;
}
.lcnb_wpdt_theme .lcnb_txt a,
.lcnb_wpdt_theme .lcnb_exp_txt a {
	color: <?php echo get_option('nb_link_color', '#222') ?>;
}
.lcnb_wpdt_theme .lcnb_social_box li {
	color: <?php echo get_option('nb_btn_color_h', '#525252') ?>;
}


/* (2) navigation commands */
.lcnb_wpdt_theme.lcnb_has_cmd .lcnb_prev, 
.lcnb_wpdt_theme.lcnb_has_cmd .lcnb_next {
	border: 1px solid <?php echo get_option('nb_border_color', '#ccc') ?>;
	background: <?php echo get_option('nb_bg_color', '#fff') ?>;
}
.lcnb_wpdt_theme.lcnb_has_cmd .lcnb_prev:not(.lcnb_disabled):hover, 
.lcnb_wpdt_theme.lcnb_has_cmd .lcnb_next:not(.lcnb_disabled):hover {
	border-color: <?php echo get_option('nb_border_color_h', '#a3a3a3') ?>;
}
.lcnb_wpdt_theme .lcnb_cmd span:before {
	color: <?php echo get_option('nb_btn_color', '#5F5F5F') ?>;
}



/* (3) bottom ant top bar */
.lcnb_wpdt_theme .lcnb_btm_bar .lcnb_date,
.lcnb_wpdt_theme .lcnb_top_bar .lcnb_date,
.lcnb_wpdt_theme .lcnb_exp_date time,
.lcnb_wpdt_theme .lcnb_btm_bar .lcnb_rm_btn,
.lcnb_wpdt_theme .lcnb_top_bar .lcnb_rm_btn {
	background-color: <?php echo get_option('nb_date_bg', '#f3f3f3') ?>;
	color: <?php echo get_option('nb_date_txt_col', '#666') ?>;
	border-radius: 2px;
}
.lcnb_wpdt_theme .lcnb_btm_bar .lcnb_link, 
.lcnb_wpdt_theme .lcnb_top_bar .lcnb_link,

.lcnb_wpdt_theme .lcnb_btm_bar .lcnb_social_trigger, 
.lcnb_wpdt_theme .lcnb_top_bar .lcnb_social_trigger,

.lcnb_wpdt_theme .lcnb_btm_bar .lcnb_btn_expand, 
.lcnb_wpdt_theme .lcnb_top_bar .lcnb_btn_expand {
	border-right: 1px solid <?php echo get_option('nb_sep_color', '#cfcfcf') ?>;
	box-shadow: none;
	color: <?php echo get_option('nb_btn_color', '#5F5F5F') ?>;
	opacity: 0.8;
}
.lcnb_wpdt_theme .lcnb_btm_bar.lcnb_narrow_txt,
.lcnb_wpdt_theme .lcnb_top_bar.lcnb_narrow_txt {
	background: <?php echo get_option('nb_bg_color', '#fff') ?>;
}
.lcnb_wpdt_theme .lcnb_rm_btn:hover {
	background-color: <?php echo get_option('nb_date_bg_h', '#e8e8e8') ?>;
	color: <?php echo get_option('nb_date_txt_col_h', '#303030') ?>;	
}


/* (4) social flap */
.lcnb_wpdt_theme .lcnb_btm_bar .lcnb_social_box,
.lcnb_wpdt_theme .lcnb_top_bar .lcnb_social_box,
.lcnb_wpdt_theme .lcnb_buttons .lcnb_social_box,
.lcnb_wpdt_theme .lcnb_exp_data .lcnb_social_box {
	background-color: <?php echo get_option('nb_bg_color', '#fff') ?>;
	border: 1px solid <?php echo get_option('nb_border_color', '#ccc') ?>;
	box-shadow: 0 0 4px rgba(0,0,0, .15);
}
.lcnb_wpdt_theme .lcnb_btm_bar .lcnb_social_box:before,
.lcnb_wpdt_theme .lcnb_exp_data .lcnb_social_box:after {
	border-top-color: <?php echo get_option('nb_border_color', '#ccc') ?>;	
}
.lcnb_wpdt_theme .lcnb_top_bar .lcnb_social_box:before {
	border-bottom-color: <?php echo get_option('nb_border_color', '#ccc') ?>;		
}
.lcnb_wpdt_theme .lcnb_buttons .lcnb_social_box:before {
	border-right-color: <?php echo get_option('nb_border_color', '#ccc') ?>;		
}



/* (5) lightbox overlays */
.lcnb_wpdt_theme .lcnb_img_ol:before {
	color: <?php echo get_option('nb_ol_icon_color', '#444') ?>;
    opacity: 1;
}
.lcnb_wpdt_theme .lcnb_img_ol:after {
	background-color: <?php echo get_option('nb_ol_bg_color', '#fff') ?>;
	opacity: <?php echo ((int)get_option('nb_ol_bg_opacity', 80) / 100) ?>;
}



<?php $img_margin_w = (int)get_option('nb_img_margin', 0) ?>

/*** (6) vertical layout ***/
.lcnb_wpdt_theme.lcnb_vertical .lcnb_img {
	border-width: <?php echo $img_margin_w ?>px 0px <?php echo $img_margin_w ?>px <?php echo $img_margin_w ?>px;
	border-style: solid;
	border-color: transparent;
}
.lcnb_wpdt_theme.lcnb_vertical .lcnb_buttons {
	border-right: 1px solid <?php echo get_option('nb_border_color', '#ccc') ?>;
}
.lcnb_wpdt_theme.lcnb_vertical .lcnb_buttons > div {
	border-color: <?php echo get_option('nb_border_color', '#ccc') ?>;
	border-width: 0 0 1px 0px;
	opacity: .8;
}
.lcnb_wpdt_theme.lcnb_vertical .lcnb_buttons {
	color: <?php echo get_option('nb_btn_color', '#5F5F5F') ?>;
}
.lcnb_wpdt_theme.lcnb_vertical .lcnb_buttons > div:hover,
.lcnb_wpdt_theme.lcnb_vertical .lcnb_buttons > div.socials_shown {
	opacity: 1;
	background: rgba(20,20,20, 0.05);
}



/*** (7) horizontal layout ***/
.lcnb_wpdt_theme.lcnb_horizontal .lcnb_img {
	border-width: <?php echo $img_margin_w ?>px <?php echo $img_margin_w ?>px 0;
	border-style: solid;
	border-color: transparent;
}



/**** (8) expanded news ****/
.lcnb_wpdt_theme .lcnb_exp_block .lcnb_close:before {
	color: <?php echo get_option('nb_btn_color', '#5F5F5F') ?>;
}
.lcnb_wpdt_theme .lcnb_exp_data {
	border-top: 1px solid <?php echo get_option('nb_sep_color', '#cfcfcf') ?>;
}
.lcnb_wpdt_theme .lcnb_exp_data .lcnb_social_trigger,
.lcnb_wpdt_theme .lcnb_exp_data .lcnb_link {
	border-left: 1px solid <?php echo get_option('nb_sep_color', '#cfcfcf') ?>;
	color: <?php echo get_option('nb_btn_color', '#5F5F5F') ?>;
}
.lcnb_wpdt_theme .lcnb_exp_img_wrap,
.lcnb_wpdt_theme .lcnb_exp_body_img > div:first-child {
    border: <?php echo (int)get_option('nb_exp_img_padding', 3) ?>px solid <?php echo get_option('nb_exp_img_bg', '#f7f7f7') ?>;
}




/**** (9) lightbox ****/
.lcnb_wpdt_theme.lcnb_mfp.mfp-bg {
	background: <?php echo get_option('nb_lb_bg', '#222') ?>;
	opacity: <?php echo ((int)get_option('nb_lb_bg_opacity', 70) / 100) ?>;	
}
.lcnb_wpdt_theme .mfp-content {
	box-shadow: 0 0 3px rgba(0, 0, 0, 0.05);
	border: <?php echo (int)get_option('nb_border_w', 3) ?>px solid <?php echo get_option('nb_border_color', '#ccc') ?>;
	border-radius: <?php echo (int)get_option('nb_border_radius', 2) ?>px;
}
.lcnb_wpdt_theme.lcnb_mfp .mfp-close,
.lcnb_wpdt_theme.lcnb_mfp .mfp-arrow {
	background: <?php echo get_option('nb_lb_cmd_bg', '#eee') ?>;
	box-shadow: 0 0 8px rgba(0, 0, 0, .1);
}
.lcnb_wpdt_theme.lcnb_mfp .mfp-close:before,
.lcnb_wpdt_theme.lcnb_mfp .mfp-arrow:after {
	color: <?php echo get_option('nb_lb_cmd_col', '#666') ?>;
}
.lcnb_wpdt_theme.lcnb_mfp .mfp-close:hover,
.lcnb_wpdt_theme.lcnb_mfp .mfp-arrow:hover {
	background: <?php echo get_option('nb_lb_cmd_bg_h', '#fefefe') ?>;
	box-shadow: none;
}
.lcnb_wpdt_theme.lcnb_mfp .mfp-close:hover:before,
.lcnb_wpdt_theme.lcnb_mfp .mfp-arrow:hover:after {
	color: <?php echo get_option('nb_lb_cmd_col_h', '#444') ?>;
}
