<?php 
include_once(NB_DIR .'/functions.php'); 
?>

<div class="wrap lcwp_form">  
	<div class="icon32"><img src="<?php echo NB_URL.'/img/nb_logo.png'; ?>" alt="newsbox" /><br/></div>
    <?php echo '<h2 class="lcwp_page_title" style="border: none;">Swift Box - ' . __( 'Manage Boxes', 'nb_ml') . "</h2>"; ?>  

    <div id="poststuff" class="metabox-holder has-right-sidebar" style="overflow: hidden;">
    	
        
        <?php // SIDEBAR ?>
        <div id="side-info-column" class="inner-sidebar">
          <form class="form-wrap">	
           
           <div class="postbox lcwp_sidebox_meta">
            	<h3 class="hndle"><?php _e('Add Box', 'nb_ml') ?></h3> 
				<div class="inside">
                	<input type="text" name="nb_name" value="" id="nb_name" maxlenght="100" style="width: 200px;" placeholder="Box Name" />
                    <input type="button" name="add_box" id="add_box" value="<?php _e('Add', 'nb_ml') ?>" class="button-primary" style="margin-left: 5px;" />
                </div>
            </div>
           
            <div id="nb_boxes_list" class="postbox lcwp_sidebox_meta">
            	<h3 class="hndle"><?php _e('Boxes List', 'nb_ml') ?></h3> 
				<div class="inside"></div>
            </div>
            
            <div id="save_nb_box" class="postbox lcwp_sidebox_meta" style="display: none; background: none; border: none; position: relative; box-shadow: none;">
            	<input type="button" name="save-box" value="<?php _e('Save box', 'nb_ml') ?>" class="button-primary" />
                
                <?php if(get_option('nb_preview_pag')) : ?>
                <input type="button" id="preview_box" value="<?php _e('Preview', 'nb_ml') ?>" class="button-secondary" pv-url="<?php echo get_permalink(get_option('nb_preview_pag')) ?>" style="margin-left: 18px;" />
                <?php endif; ?>
                
                <div style="width: 30px; padding: 0 0 0 7px; float: right;"></div>
            </div>
          </form>	 
        </div>
    	
        
        
        <?php // PAGE CONTENT ?>
        <div id="post-body">
        <div id="post-body-content" class="nb_builder lcwp_table">
            <p><?php _e('Select a box', 'nb_ml') ?> ..</p>
        </div>
        </div>
        
        
        <br class="clear">
    </div>
</div>  




<?php // DATE LEGEND CODE //////////////// ?>
<div style="display: none;">
	<table id="nb_date_legend" class="val_list" width="500" cellspacing="0" cellpadding="4">
      <tbody><tr>
        <th style="width: 130px;">Placeholder</th>
        <th>Description</th>
        <th>Example</th> 
      </tr>
    
      <tr>
        <td>SS</td>
        <td>seconds (with leading zeros)</td>
        <td>20</td>
      </tr>  
      <tr>
        <td>MM</td>
        <td>minutes (with leading zeros)</td>
        <td>05</td>
      </tr>
      
      <tr>
        <td>HHH</td>
        <td>hours with AM/PM</td>
        <td>9 AM</td>
      </tr>
      <tr>
        <td>HH</td>
        <td>hours (with leading zeros)</td>
        <td>09</td>
      </tr> 
      <tr>
        <td>H</td>
        <td>hours (without leading zeros)</td>
        <td>9</td>
      </tr>
     
      <tr>
        <td>dddd</td>
        <td>day with Monday-Sunday format</td>
        <td>Saturday</td>
      </tr>
      <tr>
        <td>ddd</td>
        <td>day with Mon-Sun format</td>
        <td>Sat</td>
      </tr> 
      <tr>
        <td>dd</td>
        <td>day number (with leading zeros)</td>
        <td>06</td>
      </tr>
      <tr>
        <td>d</td>
        <td>day number (without leading zeros)</td>
        <td>6</td>
      </tr>
      
      <tr>
        <td>mmmm</td>
        <td>month with January-December format</td>
        <td>July</td>
      </tr>
      <tr>
        <td>mmm</td>
        <td>day with Jan-Dec format</td>
        <td>Jul</td>
      </tr> 
      <tr>
        <td>mm</td>
        <td>day number (with leading zeros)</td>
        <td>07</td>
      </tr>
      <tr>
        <td>m</td>
        <td>day number (without leading zeros)</td>
        <td>7</td>
      </tr>
     
      <tr>
        <td>yyyy</td>
        <td>year in four digits format</td>
        <td>2013</td>
      </tr>
      <tr>
        <td>mmm</td>
        <td>year in two digits format</td>
        <td>13</td>
      </tr> 
    </tbody>
  </table>
</div>


<link rel="stylesheet" href="<?php echo NB_URL; ?>/js/sb/js_assets/magnific-popup/magnific-popup-style.css" media="all" />
<script src="<?php echo NB_URL; ?>/js/sb/js_assets/magnific-popup/magnific-popup.min.js" type="text/javascript"></script>

<script type="text/javascript">
// show dates legend on click
jQuery(document).ready(function($) {
	$(document).delegate('.nb_date_guide', 'click', function(e) {
		e.preventDefault();
		
		jQuery.magnificPopup.open({
			items : {
				src: '#nb_date_legend',
				type: 'inline'
			},
			mainClass	: 'nb_magpop nb_dates_helper', 
			preloader	: false,
			callbacks	: {
			  beforeOpen: function() {
				if(jQuery(window).width() < 800) {
				  this.st.focus = false;
				}
			  },
			}
		});
	});
});
</script>
<?php ///////////////////////////// ?>



<?php // SCRIPTS ?>
<script src="<?php echo NB_URL; ?>/js/functions.js" type="text/javascript"></script>
<script src="<?php echo NB_URL; ?>/js/chosen/chosen.jquery.min.js" type="text/javascript"></script>
<script src="<?php echo NB_URL; ?>/js/lc-switch/lc_switch.min.js" type="text/javascript"></script>
<script src="<?php echo NB_URL; ?>/js/colpick/js/colpick.min.js" type="text/javascript"></script>


<script type="text/javascript">
jQuery(document).ready(function($) {
	var nb_is_acting = false;
	var lcwp_nonce = '<?php echo wp_create_nonce('lcwp_nonce') ?>';
	
	
	// var for the selected grid
	var sel_box = 0;
	var nb_pag = 1;
	
	
	
	// load boxes list
	var nb_load_boxes = function() {
		$('#nb_boxes_list .inside').html('<div style="height: 30px;" class="lcwp_loading"></div>');
						
		var data = {
			action: 'nb_boxes_list',
			nb_page: nb_pag,
			lcwp_nonce: lcwp_nonce
		};
		$.ajax({
			type: "POST",
			url: ajaxurl,
			data: data,
			dataType: "json",
			success: function(response){	
				$('#nb_boxes_list .inside').empty();
				
				// get elements
				nb_pag = response.pag;
				var tot_pag = response.tot_pag;
				var boxes = response.elems;	

				var a = 0;
				$.each(boxes, function(k, v) {	
					if(sel_box == v.id) {var sel = 'checked="checked"';}
					else {var sel = '';}
				
					$('#nb_boxes_list .inside').append(
					'<div class="misc-pub-section-last">'+
						'<span><input type="radio" name="gl" value="'+ v.id +'" '+ sel +' /></span>'+
						'<div class="nb_man_box" rel="'+ v.id +'" title="<?php echo addslashes(__('toggle actions', 'nb_ml')) ?>"><ul>'+
							'<li class="nb_del_box" title="<?php echo addslashes(__('delete box', 'nb_ml')) ?>"></li>'+
							'<li class="nb_rename_box" title="<?php echo addslashes(__('rename box', 'nb_ml')) ?>"></li>'+
							'<li class="nb_clone_box" title="<?php echo addslashes(__('clone box', 'nb_ml')) ?>"></li>'+
						'</ul></div>'+
						'<span class="nb_box_tit" title="ID '+ v.id +'">'+ v.name +'</span>'+
					'</div>');
					
					a = a + 1;
				});
				
				if(a == 0) {
					$('#nb_boxes_list .inside').html('<p><?php echo nb_sanitize_input( __('No existing boxes', 'nb_ml')) ?></p>');
					$('#nb_boxes_list h3.hndle').html('<?php echo nb_sanitize_input( __('Boxes List', 'nb_ml')) ?>');
				}
				else {
					// manage pagination elements
					if(tot_pag > 1) {
						$('#nb_boxes_list h3.hndle').html('<?php echo nb_sanitize_input( __('Boxes List', 'nb_ml')) ?> (<?php echo nb_sanitize_input( __('pag', 'nb_ml')) ?> '+ nb_pag +' <?php echo nb_sanitize_input( __('of', 'nb_ml')) ?> '+ _tot_pag +')\
						<span id="nb_next_boxes">&raquo;</span><span id="nb_prev_boxes">&laquo;</span>');
					} else {
						$('#nb_boxes_list h3.hndle').html('<?php echo nb_sanitize_input( __('Boxes List', 'nb_ml')) ?>');	
					}
					
					// different cases
					if(nb_pag <= 1) { $('#nb_next_boxes').hide(); }
					if(nb_pag >= tot_pag) {$('#nb_next_boxes').hide();}	
				}
			}
		});	
	};
	nb_load_boxes(); // initial load
	
	
	
	// boxes management - toggle buttons visibility
	$(document).delegate('body', 'click', function(e) {
		var $target = $(e.target);
		
		if($target.hasClass('nb_man_box')) {
			$target.toggleClass('nb_mb_shown');	
			$('.nb_man_box').not($target).removeClass('nb_mb_shown');	
		}
		else {
			$('.nb_man_box').removeClass('nb_mb_shown');		
		}
	});
	
	
	
	
	// add box
	$('#add_box').click(function() {
		var box_name = $('#nb_name').val();
		
		if($.trim(box_name) != '') {
			var data = {
				action		: 'nb_add_box',
				nb_name		: box_name,
				lcwp_nonce	: lcwp_nonce,
			};
			
			$.post(ajaxurl, data, function(response) {
				var resp = $.trim(response); 
				
				if(resp == 'success') {
					nb_toast_message('success', '<?php echo nb_sanitize_input( __('Box added', 'nb_ml')) ?>');

					$('#nb_name').val('');
					
					nb_pag = 1;
					nb_load_boxes();
				}
				else {
					nb_toast_message('error', resp);
				}
			});	
		}
	});
	
	
	
	// clone box
	$(document).delegate('.nb_clone_box', 'click', function() {
		$subj = $(this).parents('.misc-pub-section-last'); 
		var box_id  = $(this).parents('.nb_man_box').attr('rel');
		
		
		var new_name = prompt("<?php echo str_replace('"', '\"', __("New box name", 'nb_ml')) ?>", "");
    	if(new_name == null) {return false;}
		
		var data = {
			action		: 'nb_clone_box',
			box_id		: box_id,
			new_name	: new_name,
			lcwp_nonce	: lcwp_nonce
		};
			
		jQuery.post(ajaxurl, data, function(response) {
			var resp = jQuery.trim(response); 
	
			if(resp == 'success') {
				nb_load_boxes();
				
				mgom_toast_message('success', "<?php echo nb_sanitize_input( __('Box cloned successfully!', 'nb_ml')) ?>");
			} else {
				mgom_toast_message('error', response);
			}
		});
	});


	// rename box
	$(document).delegate('.nb_rename_box', 'click', function() {
		$subj = $(this).parents('.misc-pub-section-last'); 
		var box_id  = $(this).parents('.nb_man_box').attr('rel');
		
		
		var new_name = prompt("<?php echo str_replace('"', '\"', __("New box name", 'nb_ml')) ?>", "");
    	if(new_name == null) {return false;}
		
		// ajax
		var data = {
			action		: 'nb_rename_box',
			box_id		: box_id,
			new_name	: new_name,
			lcwp_nonce	: lcwp_nonce
		};
			
		jQuery.post(ajaxurl, data, function(response) {
			var resp = jQuery.trim(response); 
	
			if(resp == 'success') {
				$subj.find('.nb_box_tit').text(new_name);
			} else {
				nb_toast_message('error', response);
			}
		});
	});


	// delete box
	$(document).delegate('.nb_del_box', 'click', function() {
		$subj = $(this).parents('.misc-pub-section-last'); 
		var box_id  = $(this).parents('.nb_man_box').attr('rel');
		
		if(confirm('<?php echo nb_sanitize_input( __('Do you really want to delete this box?', 'nb_ml')) ?>')) {
			var data = {
				action		: 'nb_del_box',
				box_id		: box_id,
				lcwp_nonce	: lcwp_nonce
			};
			
			$.post(ajaxurl, data, function(response) {
				var resp = $.trim(response); 
				
				if(resp == 'success') {
					// if is this one opened
					if(sel_box == box_id) {
						$('.nb_builder').html('<p><?php echo nb_sanitize_input( __('Select a box', 'nb_ml')) ?> ..</p>');
						sel_box = 0;
						
						// savegrid box
						$('#save_nb_box').fadeOut();
					}
					
					$subj.slideUp(function() {
						$(this).remove();
						
						if( $('#nb_boxes_list .inside .misc-pub-section-last').size() == 0) {
							$('#nb_boxes_list .inside').html('<p><?php echo nb_sanitize_input( __('No existing boxes', 'nb_ml')) ?></p>');
						}
					});	
				}
				else {
					alert(resp);
				}
			});
		}
	});


	
	// select box
	$(document).delegate('#nb_boxes_list input[type=radio]', 'click', function() {
		sel_box = parseInt($(this).val());
		var box_title = $(this).parent().siblings('.nb_box_tit').text();

		$('.nb_builder').html('<div style="height: 30px;" class="lcwp_loading"></div>');

		var data = {
			action: 'nl_box_builder',
			box_id: sel_box 
		};
		
		$.post(ajaxurl, data, function(response) {
			$('.nb_builder').html(response);
			nb_async_form();
			
			// add the title
			$('.nb_builder > h2').html(box_title);
			
			// save and preview boxes
			$('#save_nb_box').fadeIn();
		});	
	});
	


	// save  box
	$(document).delegate('#save_nb_box input', 'click', function() {
		
		// sources - data array for each source
		var src_data = [];
		$('.nb_sources .nb_type_block').each(function(i,v) {
            vals = $(this).find('input, select, textarea').serializeArray();
			src_data[i] = vals;
        });

		// check against no sources
		if( $('.nb_sources .nb_type_block').size() == 0 ) {
			alert('<?php echo nb_sanitize_input( __('A news source is needed', 'nb_ml')) ?>');
			return false;
		}
		
		// check against empty fields
		$('#post-body-content .nb_field > input').not('.nb_optional_f').each(function() {
			if( $.trim($(this).val()) == '' ) {
				alert('<?php echo nb_sanitize_input( __('One or more mandatory fields are empty', 'nb_ml')) ?>');
				nb_abort_saving = true;
				return false;	
			}
        });
		if(typeof(nb_abort_saving) != 'undefined') {return false;}
		
		// sanitize & in source data
		src_data = JSON.stringify(src_data);
		src_data = encodeURIComponent(src_data);

		// save
		$('#save_nb_box div').html('<div style="height: 30px;" class="lcwp_loading"></div>');
		var data = 'action=nb_save_box&box_id='+ sel_box +'&src_data='+ src_data +'&'+ $('#nb_box_settings').find('input, select, textarea').serialize();
		
		$.post(ajaxurl, data, function(response) {
			var resp = $.trim(response); 
			$('#save_nb_box div').empty();	
			
			if(resp == 'success') {
				nb_toast_message('success', '<?php echo nb_sanitize_input( __('Box saved', 'nb_ml')) ?>');
			}
			else {
				nb_toast_message('error', resp);
			}
		});
	});



	//////////////////////////////////////////////
	
	
	
	// add news source
	$(document).delegate('.nb_add_src input', 'click', function() {
		var type = $(this).parent().find('select').val();
		var $subj = $(this).parents('form.form-wrap').find('.mgom_elements');
		var $loader = $(this).next('span');
	
		if(!nb_is_acting) {
			nb_is_acting = true;
	
			// add
			$loader.html('<div style="height: 25px;" class="lcwp_loading"></div>');
			var data = {
				action: 'nb_add_src',
				nb_type: type 
			};
			
			$.post(ajaxurl, data, function(response) {
				$('.nb_sources').prepend(response);
				nb_is_acting = false;
				
				nb_async_form();
				$loader.empty();
			});
		}
	});
	
	
	
	// remove news source
	$(document).delegate('.nb_sources h4 .lcwp_del_row', 'click', function() {
		if(confirm('<?php echo nb_sanitize_input( __('Remove news source?', 'nb_ml')) ?>')) {
			var $subj = $(this).parents('.nb_type_block');
			$subj.slideUp(function() {
				$subj.remove();
			});
		}
	});

	
	
	// preview box
	$(document).delegate('#preview_box', "click", function() {
		var url = $(this).attr('pv-url');
		var char = (url.indexOf('?') != -1) ? '&' : '?';
		
		window.open( url + char + '?nb_preview=' + sel_box ,'_blank');
	});



	<!-- other -->
	
	
	// async form elements init
	var nb_async_form = function() {
		nb_slider_opt();
		nb_live_checks();
		nb_live_chosen();
	}
	
	
	// toast message for ajax operations
	nb_toast_message = function(type, text) {
		if(!$('#lc_toast_mess').length) {
			$('body').append('<div id="lc_toast_mess"></div>');
			
			$('head').append(
			'<style type="text/css">' +
			'#lc_toast_mess,#lc_toast_mess *{-moz-box-sizing:border-box;box-sizing:border-box}#lc_toast_mess{background:rgba(20,20,20,.2);position:fixed;top:0;right:-9999px;width:100%;height:100%;margin:auto;z-index:99999;opacity:0;filter:alpha(opacity=0);-webkit-transition:opacity .15s ease-in-out .05s,right 0s linear .5s;-ms-transition:opacity .15s ease-in-out .05s,right 0s linear .5s;transition:opacity .15s ease-in-out .05s,right 0s linear .5s}#lc_toast_mess.lc_tm_shown{opacity:1;filter:alpha(opacity=100);right:0;-webkit-transition:opacity .3s ease-in-out 0s,right 0s linear 0s;-ms-transition:opacity .3s ease-in-out 0s,right 0s linear 0s;transition:opacity .3s ease-in-out 0s,right 0s linear 0s}#lc_toast_mess:before{content:"";display:inline-block;height:100%;vertical-align:middle}#lc_toast_mess>div{position:relative;padding:13px 16px!important;border-radius:2px;box-shadow:0 2px 17px rgba(20,20,20,.25);display:inline-block;width:310px;margin:0 0 0 50%!important;left:-155px;top:-13px;-webkit-transition:top .2s linear 0s;-ms-transition:top .2s linear 0s;transition:top .2s linear 0s}#lc_toast_mess.lc_tm_shown>div{top:0;-webkit-transition:top .15s linear .1s;-ms-transition:top .15s linear .1s;transition:top .15s linear .1s}#lc_toast_mess>div>span:after{font-family:dashicons;background:#fff;border-radius:50%;color:#d1d1d1;content:"";cursor:pointer;font-size:23px;height:15px;padding:5px 9px 7px 2px;position:absolute;right:-7px;top:-7px;width:15px}#lc_toast_mess>div:hover>span:after{color:#bbb}#lc_toast_mess .lc_error{background:#fff;border-left:4px solid #dd3d36}#lc_toast_mess .lc_success{background:#fff;border-left:4px solid #7ad03a}' +
			'</style>');	
			
			// close toast message
			$(document.body).off('click tap', '#lc_toast_mess');
			$(document.body).on('click tap', '#lc_toast_mess', function() {
				$('#lc_toast_mess').removeClass('lc_tm_shown');
			});
		}
		
		// setup
		if(type == 'error') {
			$('#lc_toast_mess').empty().html('<div class="lc_error"><p>'+ text +'</p><span></span></div>');	
		} else {
			$('#lc_toast_mess').empty().html('<div class="lc_success"><p>'+ text +'</p><span></span></div>');	
			
			setTimeout(function() {
				$('#lc_toast_mess.lc_tm_shown span').trigger('click');
			}, 2150);	
		}
		
		// use a micro delay to let CSS animations act
		setTimeout(function() {
			$('#lc_toast_mess').addClass('lc_tm_shown');
		}, 30);	
	}
	
});
</script>
