(function(){

	// creates the plugin
	tinymce.create('tinymce.plugins.NewsBox', {
		createControl : function(id, controlManager) {
			if (id == 'nb_btn') {
				
				// creates the button
				var nb_sc_button = controlManager.createButton('nb_btn', {
					title : 'Swift Box Shortcode',
					image : '../wp-content/plugins/private-content/img/users_icon_tinymce.png',  // path to button's image
					onclick : function() {
						
						jQuery.magnificPopup.open({
							items : {
								src: '#nb-shortcode-form > *',
								type: 'inline'
							},
							mainClass	: 'nb_magpop nb_sc_wizard_lb',
							closeOnContentClick	: false,
							closeOnBgClick		: false, 
							preloader	: false,
							callbacks	: {
							  beforeOpen: function() {
								if(jQuery(window).width() < 800) {
								  this.st.focus = false;
								}
							  },
							  open : function() {
								jQuery('.nb_sc_wizard_lb .lcweb-chosen').each(function() {
									var w = jQuery(this).css('width');
									jQuery(this).chosen({width: w}); 
								});
							  }
							}
						});
						jQuery(document).delegate('.mfp-wrap.nb_sc_wizard_lb', 'click', function(e) {
							if(jQuery(e.target).hasClass('mfp-container')) {
								jQuery.magnificPopup.close();
							}
						});
						
					}
				});
				return nb_sc_button;
			}
			return null;
		}
	});
	tinymce.PluginManager.add('NewsBox', tinymce.plugins.NewsBox);



	////////////////////////////////////////////////////////
	///// insert shortcode
	jQuery(document).delegate('#nb-shortcode-submit', 'click', function() {	
		
		var shortcode = '[swiftbox id="'+ jQuery('#nb_box_id').val() +'"]';
		tinyMCE.activeEditor.execCommand('mceInsertContent', 0, shortcode);

		jQuery.magnificPopup.close();
	});
})();
